package javax.xml.crypto.dsig.spec;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public final class ExcC14NParameterSpec implements C14NMethodParameterSpec
{
    private List<String> preList;
    public static final String DEFAULT = "#default";
    
    public ExcC14NParameterSpec() {
        this.preList = Collections.emptyList();
    }
    
    public ExcC14NParameterSpec(List c) {
        if (c == null) {
            throw new NullPointerException("prefixList cannot be null");
        }
        ArrayList list = new ArrayList(c);
        int i = 0;
        while (i < list.size()) {
            if (!(list.get(i) instanceof String)) {
                throw new ClassCastException("not a String");
            }
            ++i;
        }
        this.preList = Collections.unmodifiableList(list);
        return;
    }
    
    public List getPrefixList() {
        return this.preList;
    }
}
